package com.wd.workoffice.bean;

import java.util.List;

public class ProductBean {

    /**
     * records : [{"createdBy":111,"createdByName":null,"createdTime":"2019-10-30 17:42:02","updatedBy":111,"updatedByName":null,"updatedTime":"2020-02-24 09:46:45","id":29,"soleCode":"70BHZBHZ1-1001","simpleCode":"BHZ1-1","name":"保护渣","spec":"165*320（Q195）","unit":"支","weight":1000,"internalPrice":105.9,"processType":"PROCESS_SALE,PROCESS_CRUCIBLE,PROCESS_SUPPLY","processTypeList":null,"productTypeId":5,"ofKind":"SM","expectOutputDeptId":118,"erpId":"AG10086","status":"1","createdUser":null,"shelfAction":null,"updatedUser":null,"outDeptId":null,"outDeptName":null,"productTypeName":null,"expectOutputDeptName":null,"isExpectOut":null,"ofKindName":null,"statusName":null,"relList":null,"outDeptCreatedBy":null,"outDeptCreatedTime":null,"transitPartId":null,"transitPartTypeCode":null,"remark":null},{"createdBy":143,"createdByName":null,"createdTime":"2019-12-30 16:04:46","updatedBy":143,"updatedByName":null,"updatedTime":"2019-12-31 13:41:43","id":33,"soleCode":"白刚玉","simpleCode":"白刚玉","name":"白刚玉","spec":"80#","unit":"吨","weight":2,"internalPrice":100,"processType":"PROCESS_PURCHASE,PROCESS_SALE,PROCESS_SUPPLY,PROCESS_CRUCIBLE","processTypeList":null,"productTypeId":3,"ofKind":"OS","expectOutputDeptId":129,"erpId":"白刚玉","status":"1","createdUser":null,"shelfAction":null,"updatedUser":null,"outDeptId":null,"outDeptName":null,"productTypeName":null,"expectOutputDeptName":null,"isExpectOut":null,"ofKindName":null,"statusName":null,"relList":null,"outDeptCreatedBy":null,"outDeptCreatedTime":null,"transitPartId":null,"transitPartTypeCode":null,"remark":null}]
     * total : 2
     * size : 10
     * current : 1
     * orders : []
     * searchCount : true
     * pages : 1
     */

    private int total;
    private int size;
    private int current;
    private boolean searchCount;
    private int pages;
    private List<RecordsBean> records;
    private List<?> orders;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public boolean isSearchCount() {
        return searchCount;
    }

    public void setSearchCount(boolean searchCount) {
        this.searchCount = searchCount;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public static class RecordsBean {
        /**
         * createdBy : 111
         * createdByName : null
         * createdTime : 2019-10-30 17:42:02
         * updatedBy : 111
         * updatedByName : null
         * updatedTime : 2020-02-24 09:46:45
         * id : 29
         * soleCode : 70BHZBHZ1-1001
         * simpleCode : BHZ1-1
         * name : 保护渣
         * spec : 165*320（Q195）
         * unit : 支
         * weight : 1000.0
         * internalPrice : 105.9
         * processType : PROCESS_SALE,PROCESS_CRUCIBLE,PROCESS_SUPPLY
         * processTypeList : null
         * productTypeId : 5
         * ofKind : SM
         * expectOutputDeptId : 118
         * erpId : AG10086
         * status : 1
         * createdUser : null
         * shelfAction : null
         * updatedUser : null
         * outDeptId : null
         * outDeptName : null
         * productTypeName : null
         * expectOutputDeptName : null
         * isExpectOut : null
         * ofKindName : null
         * statusName : null
         * relList : null
         * outDeptCreatedBy : null
         * outDeptCreatedTime : null
         * transitPartId : null
         * transitPartTypeCode : null
         * remark : null
         *
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private int updatedBy;
        private Object updatedByName;
        private String updatedTime;
        private int id;
        private String soleCode;
        private String simpleCode;
        private String name;
        private String spec;
        private String unit;
        private double weight;
        private double internalPrice;
        private String processType;
        private Object processTypeList;
        private int productTypeId;
        private String ofKind;
        private int expectOutputDeptId;
        private String erpId;
        private String status;
        private Object createdUser;
        private Object shelfAction;
        private Object updatedUser;
        private Object outDeptId;
        private Object outDeptName;
        private String productTypeName;
        private Object expectOutputDeptName;
        private int isExpectOut;
        private Object ofKindName;
        private String statusName;
        private Object relList;
        private Object outDeptCreatedBy;
        private Object outDeptCreatedTime;
        private Object transitPartId;
        private String transitPartTypeCode;
        private Object remark;
        private String carPrice;
        private String carNum;
        private double carDoubleNum;
        private int factoryId;
        private String factoryName;
        private String url;
        private String chooseNum;
        private double canUseProductSum;

        private String productName;
        private double outerPrice;
        private double quantity;
        private double innerPrice;
        private int  flag;// 0 未超出，1 超出预警值
        private MarkBean markOrderRel;

        public MarkBean getMarkOrderRel() {
            return markOrderRel;
        }

        public void setMarkOrderRel(MarkBean markOrderRel) {
            this.markOrderRel = markOrderRel;
        }

        public int getFlag() {
            return flag;
        }

        public void setFlag(int flag) {
            this.flag = flag;
        }

        public double getInnerPrice() {
            return innerPrice;
        }

        public void setInnerPrice(double innerPrice) {
            this.innerPrice = innerPrice;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public double getOuterPrice() {
            return outerPrice;
        }

        public void setOuterPrice(double outerPrice) {
            this.outerPrice = outerPrice;
        }

        public double getQuantity() {
            return quantity;
        }

        public void setQuantity(double quantity) {
            this.quantity = quantity;
        }

        public double getCarDoubleNum() {
            return carDoubleNum;
        }

        public void setCarDoubleNum(double carDoubleNum) {
            this.carDoubleNum = carDoubleNum;
        }

        public double getCanUseProductSum() {
            return canUseProductSum;
        }

        public void setCanUseProductSum(double canUseProductSum) {
            this.canUseProductSum = canUseProductSum;
        }

        public String getChooseNum() {
            return chooseNum;
        }

        public void setChooseNum(String chooseNum) {
            this.chooseNum = chooseNum;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public int getFactoryId() {
            return factoryId;
        }

        public void setFactoryId(int factoryId) {
            this.factoryId = factoryId;
        }

        public String getFactoryName() {
            return factoryName;
        }

        public void setFactoryName(String factoryName) {
            this.factoryName = factoryName;
        }

        public String getCarPrice() {
            return carPrice;
        }

        public void setCarPrice(String carPrice) {
            this.carPrice = carPrice;
        }

        public String getCarNum() {
            return carNum;
        }

        public void setCarNum(String carNum) {
            this.carNum = carNum;
        }

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public int getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(int updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public String getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(String updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getSoleCode() {
            return soleCode;
        }

        public void setSoleCode(String soleCode) {
            this.soleCode = soleCode;
        }

        public String getSimpleCode() {
            return simpleCode;
        }

        public void setSimpleCode(String simpleCode) {
            this.simpleCode = simpleCode;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getSpec() {
            return spec;
        }

        public void setSpec(String spec) {
            this.spec = spec;
        }

        public String getUnit() {
            return unit;
        }

        public void setUnit(String unit) {
            this.unit = unit;
        }

        public double getWeight() {
            return weight;
        }

        public void setWeight(double weight) {
            this.weight = weight;
        }

        public double getInternalPrice() {
            return internalPrice;
        }

        public void setInternalPrice(double internalPrice) {
            this.internalPrice = internalPrice;
        }

        public String getProcessType() {
            return processType;
        }

        public void setProcessType(String processType) {
            this.processType = processType;
        }

        public Object getProcessTypeList() {
            return processTypeList;
        }

        public void setProcessTypeList(Object processTypeList) {
            this.processTypeList = processTypeList;
        }

        public int getProductTypeId() {
            return productTypeId;
        }

        public void setProductTypeId(int productTypeId) {
            this.productTypeId = productTypeId;
        }

        public String getOfKind() {
            return ofKind;
        }

        public void setOfKind(String ofKind) {
            this.ofKind = ofKind;
        }

        public int getExpectOutputDeptId() {
            return expectOutputDeptId;
        }

        public void setExpectOutputDeptId(int expectOutputDeptId) {
            this.expectOutputDeptId = expectOutputDeptId;
        }

        public String getErpId() {
            return erpId;
        }

        public void setErpId(String erpId) {
            this.erpId = erpId;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public Object getCreatedUser() {
            return createdUser;
        }

        public void setCreatedUser(Object createdUser) {
            this.createdUser = createdUser;
        }

        public Object getShelfAction() {
            return shelfAction;
        }

        public void setShelfAction(Object shelfAction) {
            this.shelfAction = shelfAction;
        }

        public Object getUpdatedUser() {
            return updatedUser;
        }

        public void setUpdatedUser(Object updatedUser) {
            this.updatedUser = updatedUser;
        }

        public Object getOutDeptId() {
            return outDeptId;
        }

        public void setOutDeptId(Object outDeptId) {
            this.outDeptId = outDeptId;
        }

        public Object getOutDeptName() {
            return outDeptName;
        }

        public void setOutDeptName(Object outDeptName) {
            this.outDeptName = outDeptName;
        }

        public String getProductTypeName() {
            return productTypeName;
        }

        public void setProductTypeName(String productTypeName) {
            this.productTypeName = productTypeName;
        }

        public Object getExpectOutputDeptName() {
            return expectOutputDeptName;
        }

        public void setExpectOutputDeptName(Object expectOutputDeptName) {
            this.expectOutputDeptName = expectOutputDeptName;
        }

        public int getIsExpectOut() {
            return isExpectOut;
        }

        public void setIsExpectOut(int isExpectOut) {
            this.isExpectOut = isExpectOut;
        }

        public Object getOfKindName() {
            return ofKindName;
        }

        public void setOfKindName(Object ofKindName) {
            this.ofKindName = ofKindName;
        }

        public String getStatusName() {
            return statusName;
        }

        public void setStatusName(String statusName) {
            this.statusName = statusName;
        }

        public Object getRelList() {
            return relList;
        }

        public void setRelList(Object relList) {
            this.relList = relList;
        }

        public Object getOutDeptCreatedBy() {
            return outDeptCreatedBy;
        }

        public void setOutDeptCreatedBy(Object outDeptCreatedBy) {
            this.outDeptCreatedBy = outDeptCreatedBy;
        }

        public Object getOutDeptCreatedTime() {
            return outDeptCreatedTime;
        }

        public void setOutDeptCreatedTime(Object outDeptCreatedTime) {
            this.outDeptCreatedTime = outDeptCreatedTime;
        }

        public Object getTransitPartId() {
            return transitPartId;
        }

        public void setTransitPartId(Object transitPartId) {
            this.transitPartId = transitPartId;
        }

        public String getTransitPartTypeCode() {
            return transitPartTypeCode;
        }

        public void setTransitPartTypeCode(String transitPartTypeCode) {
            this.transitPartTypeCode = transitPartTypeCode;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }
    }
}
